#
# Conditional build:
%bcond_with	lirc	# LIRC driver (for LIRC > 0.9.3)

Summary:	libirman - accessing IRMAN hardware
Summary(pl.UTF-8):	libirman - dostęp do urządzeń IRMAN
Name:		libirman
Version:	0.5.2
Release:	1
License:	LGPL v2 (library), GPL v2 (utility)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libirman/%{name}-%{version}.tar.gz
# Source0-md5:	1f1175995e527c41871077d278aa7448
Patch0:		%{name}-pc.patch
URL:		https://libirman.sourceforge.io/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
# lirc-driver
%{?with_lirc:BuildRequires:	lirc-devel >= 0.9.4}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libirman is a library for accessing the IRMAN hardware from Linux.

%description -l pl.UTF-8
Biblioteka libirman umożliwia dostęp do urządzenia IRMAN w Linuksie.

%package devel
Summary:	Header file for libirman library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libirman
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libirman library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libirman.

%package static
Summary:	Static libirman library
Summary(pl.UTF-8):	Statyczna biblioteka libirman
License:	LGPL v2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libirman library.

%description static -l pl.UTF-8
Statyczna biblioteka libirman.

%package -n lirc-plugin-irman
Summary:	IRMAN plugin for LIRC
Summary(pl.UTF-8):	Wtyczka IRMAN dla LIRC-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lirc > 0.9.3

%description -n lirc-plugin-irman
IRMAN plugin for LIRC.

The irman driver is originally developed for the irman devices, see
<http://www.intolect.com/irmandetail.htm>. These are nowadays
discontinued. However, some modern hardware (notably the irtoy) is
able to emulate the irman protocol.

%description -n lirc-plugin-irman -l pl.UTF-8
Wtyczka IRMAN dla LIRC-a.

Sterownik irman pierwotnie powstał dla urządzeń irman (szczegóły na
stronie <http://www.intolect.com/irmandetail.htm>). Urządzenia te nie
są już produkowane, jednak niektóre nowsze urządzenia (np. irtoy)
potrafią emulować protokół irman.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-plugin%{!?with_lirc:=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# tests
%{__rm} $RPM_BUILD_ROOT%{_bindir}/test_{func,io,name}
# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libirman.la
%if %{with lirc}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lirc/plugins/irman.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README TECHNICAL TODO
%attr(755,root,root) %{_bindir}/workmanir
%attr(755,root,root) %{_libdir}/libirman.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libirman.so.0
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/irman.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libirman.so
%{_includedir}/irman.h
%{_pkgconfigdir}/libirman.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libirman.a

%if %{with lirc}
%files -n lirc-plugin-irman
%defattr(644,root,root,755)
%doc lirc-plugin/irman.html
%attr(755,root,root) %{_libdir}/lirc/plugins/irman.so
%{_datadir}/lirc/configs/irman.conf
%endif
%changelog
* Tue Dec 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libirman.git;a=log;h=master

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 8872102
- new URLs, updated to 0.5.2

* Thu Oct 22 2015 Jakub Bogusz <qboosh@pld-linux.org> b0432eb
- updated to 0.5.0

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> 00f63c8
- updated to 0.4.6
- added pc patch (don't pollute CFLAGS with -fpic)
- drop .la file

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> fd518be
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> 7cd7ccc
- BR: libtool

* Thu Sep 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 6857372
- updated to 0.4.5, standard -devel/-static scheme now

* Thu Dec 27 2007 zbyniu <zbyniu@pld-linux.org> 43db32b
- up to 0.4.4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9cdd7c1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 36822d0
- converted to UTF-8

* Thu Jul 21 2005 darekr <darekr@pld-linux.org> d501dc2
- %doc added

* Sat Jun 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 12edcd5
- updated to 0.4.3

* Tue Jun 24 2003 Jakub Bogusz <qboosh@pld-linux.org> 535b829
- cosmetics, informative summaries

* Fri Jun 20 2003 eothane <eothane@pld-linux.org> 552642c
- updated Source0

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d5f026f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> e6f584d
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Oct 07 2002 Jakub Bogusz <qboosh@pld-linux.org> 4e45cf4
- BR: autoconf,automake; fixed files list

* Tue May 21 2002 kloczek <kloczek@pld-linux.org> d934c31
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 5e15c82
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 68a0489
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Sat Oct 20 2001 aflinta <aflinta@pld-linux.org> 44036d6
- initial release

